Poshmark users search
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-poshmark-users-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "najescloset",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-poshmark-users-search"
payload = {
"query": "najescloset",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: 'najescloset', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-poshmark-users-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "poshmark_users_search",
"query": "najescloset",
"domain": "poshmark.com",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Poshmark users search\n\n- **Query:** najescloset\n- **Domain:** poshmark.com\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 1\n- **Proxy traffic:** 1.13 MB",
"machine": {
"total_items": 1,
"first_item": {
"@type": "PoshmarkUserPreview",
"id": "551939de7341fe32d10ec9a0",
"alias": "najescloset",
"display_handle": "najescloset",
"full_name": "Naje' C",
"first_name": "Naje'",
"last_name": "C",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2020/03/19/19/t_5e742d42dc11f3cd16163d74.jpg",
"home_domain": "us",
"status": "active",
"created_at": 1427716574
},
"items": [
{
"@type": "PoshmarkUserPreview",
"id": "551939de7341fe32d10ec9a0",
"alias": "najescloset",
"display_handle": "najescloset",
"full_name": "Naje' C",
"first_name": "Naje'",
"last_name": "C",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2020/03/19/19/t_5e742d42dc11f3cd16163d74.jpg",
"home_domain": "us",
"status": "active",
"created_at": 1427716574
}
],
"not_found": false,
"proxy_traffic_bytes": 1186105
},
"total_points": 1
}E-commerce & Marketplaces
Poshmark users search
Search Poshmark closets by name or handle (username, name, avatar, home region). 1 point per returned record.
POST
/
functions
/
v1
/
run-poshmark-users-search
Poshmark users search
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Name or handle. e.g. najescloset
Domain. Options: poshmark.com = poshmark.com, poshmark.ca = poshmark.ca
Available options:
poshmark.com, poshmark.ca Max items (up to 500)
Required range:
1 <= x <= 500Starting page
Required range:
x >= 1Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.